# SkipLog

### void SkipLog(short nStream, short nFunction)

EZGemPlus에서 기록하는 메시지 로그에서 사용자가 원하는 Stream Function에 해당하는 메시지의 로그를 남기지 않도록 설정하는 함수.&#x20;

Parameters

<table data-header-hidden><thead><tr><th width="196" valign="top"></th><th width="146" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nStream</td><td valign="top">short</td><td valign="top">Log를 Skip 하려는 대상메시지의 Stream 값</td></tr><tr><td valign="top">nFunction</td><td valign="top">short</td><td valign="top">Log를 Skip 하려는 대상메시지의 Function 값</td></tr></tbody></table>

```csharp
m_gem.SkipLog(1,3);
```

GEM구동 전/후 전부 사용 가능하며 SkipLog시 실시간으로 적용되고 하기와 같은 로그를 남깁니다.

{% hint style="info" %}
Primary/Secondary Msg도 함께 Skip됩니다. 예) m\_gem.SkipLog(1,4)시에 S1F3도 Skip됩니다.
{% endhint %}

<pre><code><a data-footnote-ref href="#user-content-fn-1">09:57:46(814) , [EZNET:EVENT]  [Function Call ] -> SkipLog(1,3),   LOG_SKIP = { S1F3 }</a>
09:58:04(406) , [EZNET:EVENT]  [Callback Event] -> EventID=411, param=65543
09:58:04(422) , [EZNET:EVENT]  [Callback Event] -> EventID=401, param=1003
09:58:04(422) , [EZNET:EVENT]  [Callback Event] -> EventID=412, param=65544
09:58:04(442) , [EZNET:EVENT]  [Callback Event] -> EventID=402, param=1004
</code></pre>

[^1]:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/skiplog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
